export declare type InteropObservable<T> = {
    [Symbol.observable]: () => Subscribable<T>;
};
export declare type Observer<T> = {
    closed?: boolean;
    complete(): void;
    error(error: any): void;
    next(value: T): void;
};
export declare type PartialObserver<T> = Partial<Observer<T>>;
export declare type Subscribable<T> = {
    subscribe(observer?: PartialObserver<T>): Unsubscribable;
};
export declare type Unsubscribable = {
    unsubscribe(): void;
};
